
#ifndef MQ_CCU_CONFIG_H_
#define MQ_CCU_CONFIG_H_

#include <map>
#include "json/value.h"

using namespace std;

#define MQ_PROXY_CONFIG_FILE 	"/home/hj/Roma/config/mq_config.json" //MQTT 预配置文件
#define MQ_BROKER_ADDRESS 		"broker_addr"
#define LOG_LEVEL 				"log_level"
#define REQ_SIZE 				"req_queue_size"

#if defined(NOT_X86)
	#define LICENSE_PATH             "/etc/dropbear/accessory/hj/hj_license"
	#define CCUID_PATH               "/etc/dropbear/accessory/hj/hj_ccuid"
#else
	#define LICENSE_PATH             "/etc/hj_license"
	#define CCUID_PATH               "/etc/hj_ccuid"
#endif


class MQ_CCU_Config {

public:
	static MQ_CCU_Config* GetInstance();

	int open();
	string getCcuId();
	string getCcuAccesskey();
	string getBrokerAddr();
	string getLogLevel();
	int  getReqCacheSize();


private:
	MQ_CCU_Config();

private:
	static MQ_CCU_Config* ms_pInstance;
	string brokerAddr;
	string logLevel;
	int cacheSize;

};


#endif
